Status: Open

Priority: Low

Assignee:

Category: Web Services clients/WMS

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 12955

Description

getCapabilities request performed by WMS provider isn't checked for exceptions. This makes it hard to debug servers...

Btw, WMS 1.3.0 exceptions look different  from WFS 1.0.0 exceptions.

Here's an example:

[[ServiceExceptionReport]] version="1.3.0" xsi:schemaLocation="http://www.opengis.net/ogc

http://schemas.opengis.net/wms/1.3.0/exceptions_1_3_0.xsd">

−

<ServiceException>

msGetLabelSize(): [[TrueType]] Font error. Requested font (arial) not found.

</ServiceException>

</ServiceExceptionReport>

History

#1 - 2010-07-20 12:47 AM - Sandro Santilli

Same happens for [[GetMap]] requests. In this case, qgis might instead ask for inline exceptions (in-image) when supported by server.

#2 - 2011-12-09 09:10 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Category changed from Data Provider to Web Services clients/WMS

#3 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
